API ReferenceTicket Message
Creates a TicketMessage resource
Creates a TicketMessage resource
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
The new TicketMessage resource
TypeScript Definitions
Use the request body type in TypeScript.
ticket*string
Format
uuidcontent*string
Length
1 <= length <= 100000Response Body
curl -X POST "https://example.com/ticket/ticket-messages" \ -H "Content-Type: application/json" \ -d '{ "ticket": "80a7bb07-bd5f-4501-918f-8730e5b79799", "content": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "content": "string", "isIncoming": true, "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "contractorName": "string", "jobPositionName": "string" }, "createdAt": "2019-08-24T14:15:22Z", "ticketFiles": [ { "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "contractorName": "string", "jobPositionName": "string" }, "path": "string", "previewImageUrl": "string", "type": "ticket-message", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "displayedName": "string", "extension": "string", "size": 0, "source": "internal", "createdAt": "2019-08-24T14:15:22Z" } ], "isAttachmentSizeExceeded": true}